commit: d507269d903b0eaa597570abc473d73aa651af2e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 24 07:23:22 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 24 08:00:07 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d507269d
dev-python/pytest-asyncio: Bump to 0.14.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-asyncio/Manifest | 1 +
.../pytest-asyncio/pytest-asyncio-0.14.0.ebuild | 33 ++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/pytest-asyncio/Manifest
b/dev-python/pytest-asyncio/Manifest
index 85601f8bbf5..dde9d6f94ac 100644
--- a/dev-python/pytest-asyncio/Manifest
+++ b/dev-python/pytest-asyncio/Manifest
@@ -1,3 +1,4 @@
DIST pytest-asyncio-0.10.0.tar.gz 13968 BLAKE2B
4e63d527b20c767b8f0777ed684a15abe54009be72db8a50ca3b37ef95dceb884168d8081c651e2bbd6d818529d6809bb3498055fedc7f951f5675d58f50e408
SHA512
78160d1918c5d3d2172f74fa07bf4bf6d0bc416666011dd5b83b3a7f385ec30fc65d49c01bba5dd0e16ad9dcd9d72d8ab062526f3268d60cd2e24a35b5a8f883
DIST pytest-asyncio-0.11.0.tar.gz 14070 BLAKE2B
a97cc52a013e126c7aa48b21e8fdfb69c589efffefdfe0f1cef09ce98c1dd150f4298bfa9d707dfc264a6d48c71839847f929237204ba2a36e1bb1aae4e95cbe
SHA512
db1d6a9c4b3f6f24014eacf3b108d76e5b2d6761d35260f20023638cd898b6f0b499dd475bc07abd58bc73bee2a88b565c3ebcced2460e619a1b375fa6a27a64
DIST pytest-asyncio-0.12.0.tar.gz 14294 BLAKE2B
f62bb025bd3e35b5b4571b232ae2dabe5ef42075fa98f2f5ba28f78f16d81eadeb68b7dcd11a9f8170c1077c331c7abbb0fadc02863458ef03d238b399e6f37d
SHA512
2e69bfff3f0b35cc82381b841229749d309967ce1d36972933f5bc6d5dff45934608310ed3fa1805dc38ab41bf913a881493c28d6d0e9be733b624cd2fda97d3
+DIST pytest-asyncio-0.14.0.tar.gz 14796 BLAKE2B
0a110dabde491293dc10452239971809ec6a4006a2036e848aac067df1af328d0d1d5c7afae8cfc1ecf5c919c0922050e2db182065500ec614a8094d3799c0cd
SHA512
d1fadff152a0c94f80a8272a0dd293bd9d9300ad9e79c69556b5901c1a8ce00545f7715e503a383e3f4f35c8090d8f9ec33d16739b85378b59b1786a50441fca
diff --git a/dev-python/pytest-asyncio/pytest-asyncio-0.14.0.ebuild
b/dev-python/pytest-asyncio/pytest-asyncio-0.14.0.ebuild
new file mode 100644
index 00000000000..64dfa2878e8
--- /dev/null
+++ b/dev-python/pytest-asyncio/pytest-asyncio-0.14.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for testing asyncio code with pytest"
+HOMEPAGE="https://github.com/pytest-dev/pytest-asyncio
+ https://pypi.org/project/pytest-asyncio/"
+SRC_URI="https://github.com/pytest-dev/pytest-asyncio/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-5.4.0"
+BDEPEND="
+ test? (
+ dev-python/async_generator[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}